<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>

	<!-- external css -->
	<link rel="stylesheet" type="text/css" href="./index.css">

	<!-- Internal styling- added using the <style> tag inside the HTMl file-->
		

			<!-- <style type="text/css">
				/*CSS Syntax:
				selector {
					property: value;
				}
				selector- determines which element will the styling applied
				property- the selected styling attribute to be motified in a given selector.
				value- the modified value of the selected styling attribute
				*/
				h1{
					color: blue !important;
				}
		</style>  -->
		
</head>
	<body>

		<!-- CSS Specificty rule eg highest priority is inline css. including css on HTML
		-inline
		-internal
		-external -->

		<!-- CSS Selector
		-ID(highest) 
		-class
		-attribute
		-type
		-universal (lowest)-->

		<nav>
			<a href="#landing">Zuitt</a>
			<div>
				<a href="#landing"> Landing</a>
				<a href="#register"> Register</a>
			</div>
		</nav>

		<!-- Inline Styling-these are stytles added wihin the HTML element through style attribute
			ex. <h1 style="color: red;">Hello World</h1>-->

		<h1>Hello World</h1>

		<section id="landing">

			<h2>Welcome to Zuitt</h2>
		<h3 id="zuitt-motto">Opportunities for everyone,everywhere!</h3>

		<img src="https://place-puppy.com/450x450">
		<ol id="bootcamp-learning-list">
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to Coding Events</li>
		</ol>

		<a href="#top"> Back to top </a>
			
		</section>

		<section id="register">
			<h2>
			Register
		</h2>
		<form>
			<label for="firstName">First Name</label>
			<input type="text" name="firstName" id="firstName" required autocomplete>

			<label for="lastName">Last Name</label>
			<input type="text" name="lastName" id="lastName" required autocomplete>

			<label for="email">Email</label>
			<input type="email" name="email" id="email" required autocomplete>

			<button type="submit">Apply Now</button>
		</form>
		<a href="#top"> Back to top </a>
			
		</section>

		
		
		<!-- <h2>CSS Selectors Combinators</h2>
		<div id="parent">
			<p>First Paragraph</p>
			<p>Second Paragraph</p>

			<section>
				<p>third Paragraph</p>
			</section>
		</div>

			<p>Fourth Paragraph</p>
			<p>Fifth Paragraph</p>

		<div>
			<p>sixth Paragraph</p>
			<p>seventh Paragraph</p>
		</div>
		<p> Sample Paragraph</p>

		<div>
			<p>eight Paragraph</p>
			<p>ninth Paragraph</p>
			<p>tenth Paragraph</p>

				<section>
				<p>eleventh Paragraph</p>
			</section>
		</div> -->

	</body>
	</html>